package org.glassfish.bugs;

import javax.annotation.Resource;
import javax.annotation.Resource.AuthenticationType;
import javax.ejb.Stateless;

/**
 * Session Bean implementation class MyEJBBean
 */
@Stateless
public class MyEJBBean implements MyEJB {

	@Resource(
			name = "jca/MyJCA",
			authenticationType = AuthenticationType.CONTAINER,
			type = MyJCAConnectionFactory.class)
	MyJCAConnectionFactory connectionFactory;

	@Override
	public String doSomethingAwesome() {
		return connectionFactory.getConnection().doSomethingAwesome();
	}
}
